%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-todo
Version:	3.28.1
Release:	%mkrel 10
Summary:	Personal task manager for GNOME
Group:		Graphical desktop/GNOME
License:	GPLv3+
URL:		https://git.gnome.org/browse/gnome-todo/
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:		gnome-todo-eds-libecal-2.0.patch

BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libecal-2.0) >= 3.33.2
BuildRequires:	pkgconfig(libedataserver-1.2)
BuildRequires:	pkgconfig(libedataserverui-1.2)
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(rest-0.7)
BuildRequires:	desktop-file-utils
BuildRequires:	appstream-util

%description
GNOME To Do is a small application to manage your personal tasks. It
uses GNOME technologies, and so it has complete integration with the
GNOME desktop environment.

%package	devel
Summary:	Development files needed to write plugins for GNOME To Do
Group:		Graphical desktop/GNOME
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files needed to write plugins for GNOME To Do.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=true
%meson_build

%install
%meson_install

%find_lang %{name}

%check
%meson_test

%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS NEWS
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_libdir}/girepository-1.0/Gtd-1.0.typelib
%{_datadir}/applications/org.gnome.Todo.desktop
%{_datadir}/dbus-1/services/org.gnome.Todo.service
%{_datadir}/glib-2.0/schemas/org.gnome.todo.*.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.Todo*.*
%{_datadir}/%{name}/
%{_datadir}/gtk-doc/html/%{name}
%{_datadir}/metainfo/org.gnome.Todo.appdata.xml

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/Gtd-1.0.gir


%changelog
* Sat Jan 23 2021 tmb <tmb> 3.28.1-10.mga8
+ Revision: 1673102
- rebuild for new libical

* Thu Aug 13 2020 ovitters <ovitters> 3.28.1-9.mga8
+ Revision: 1613762
- rebuild for evolution-data-server

* Sun Feb 16 2020 umeabot <umeabot> 3.28.1-8.mga8
+ Revision: 1532189
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 3.28.1-7.mga8
+ Revision: 1441854
- rebuild for libpeas

* Wed Aug 21 2019 daviddavid <daviddavid> 3.28.1-6.mga8
+ Revision: 1430779
- add patch to build against newer evolution-data-server (libecal-2.0)

* Wed Aug 07 2019 tv <tv> 3.28.1-5.mga8
+ Revision: 1427965
- rebuild for new libpeas

* Wed Apr 17 2019 umeabot <umeabot> 3.28.1-4.mga7
+ Revision: 1392514
- Rebuild with meson 0.50.1

* Sat Mar 16 2019 daviddavid <daviddavid> 3.28.1-3.mga7
+ Revision: 1377833
- add upstream patch to fix build with new evolution-data-server
- rebuild for new evolution-data-server

* Sun Sep 23 2018 umeabot <umeabot> 3.28.1-2.mga7
+ Revision: 1297984
- Mageia 7 Mass Rebuild

* Tue Apr 10 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1217067
- new version 3.28.1

* Sat Apr 07 2018 kekepower <kekepower> 3.28.0-2.mga7
+ Revision: 1215949
- Rebuild for new libical

* Mon Mar 12 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1208546
- new version 3.28.0

* Wed Feb 28 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1205619
- switch to meson
- new version 3.27.90
- new version 3.26.2

* Thu Sep 21 2017 tv <tv> 3.26.1-5.mga7
+ Revision: 1156889
+ rebuild (emptylog)

* Thu Sep 21 2017 tv <tv> 3.26.1-4.mga7
+ Revision: 1156832
- revert to autoconf + fix filelist
- add missing BRs
- s/appdata/metainfo/
- use meson to build
- BR meson
+ ovitters <ovitters>
- new version 3.26.1
- new version 3.26.0
- new version 3.25.90

* Tue Jul 18 2017 ovitters <ovitters> 3.24.2-1.mga7
+ Revision: 1124696
- new version 3.24.2

* Tue May 09 2017 ovitters <ovitters> 3.24.1-1.mga6
+ Revision: 1099915
- new version 3.24.1

* Mon Apr 24 2017 ovitters <ovitters> 3.24.0.1-1.mga6
+ Revision: 1097257
- new version 3.24.0.1

* Mon Apr 24 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1097215
- new version 3.24.0
- drop merged patch gnome-todo-3.22.1-fix-linking.patch
- drop merged patch 0001-appdata-Fix-last-release-s-timestamp.patch

* Mon Jan 30 2017 daviddavid <daviddavid> 3.22.1-1.mga6
+ Revision: 1084282
- new version: 3.22.1
- rename and rebase linking patch
- add patch to fix the appdata file validation

* Sat Sep 24 2016 ovitters <ovitters> 3.20.2-2.mga6
+ Revision: 1055828
- rebuild to pay tribute to new evolution-data-server

* Thu May 26 2016 daviddavid <daviddavid> 3.20.2-1.mga6
+ Revision: 1018788
- add a patch to fix a linking issue
- add a devel subpackage
+ ovitters <ovitters>
- new version 3.20.2
- new version 3.20.1
- new version 3.20.0
- fix source url
+ tv <tv>
- use %%make_build
- verbose build
- update BRs
- easy "fix" for underlinking issues...
- BR pkgconfig(libpeas-1.0)
- drop merged patch
- new release

* Tue Jan 26 2016 luigiwalser <luigiwalser> 3.18.1-2.mga6
+ Revision: 927862
- rebuild for libical

* Wed Oct 14 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 891358
- add group
- from fedora with small changes

